Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature
Interface Association

All Superinterfaces:
  Property

    public interface Association

extends Property

Contains information defining an association (i.e. shared value).

An Association is used to hold a relation in our data model, similar to the way a Key is used to Associate a Value in a java.util.Map. Rather then use Map.Entry to capture this link we are using a strongly typed AssociationType providing additional information indicating the nature of the association.

If this Association is contained in another data structure you may use the provided AssociationDescriptor for additional information. This descriptor will provided any additional information (such as name and multiplicity) needed.

Method Summary
`AssociationDescriptor` | `getDescriptor()` Indicates the AttirbuteDescriptor for this content.
`Attribute` | `getRelated()` An associated Attribute.
`AttributeType` | `getRelatedType()` Indicates the AttributeType we are associated with.
`AssociationType` | `getType()` Indicate the AssociationType, if we have a descriptor it will be in agreement.
`void` | `setRelated(Attribute attribute)` Set the association to the provided Attribute

Methods inherited from interface Property
`descriptor, name`

Method Detail

### getDescriptor

    AssociationDescriptor getDescriptor()

  Indicates the AttirbuteDescriptor for this content.

  The attribute descriptor formally captures the name and multiplicity information for this attribute. If this attribute is not contained in a container, then the descriptor will be null.

  Specified by:
    `getDescriptor` in interface `Property`
  Returns:
    Descriptor for this attribute, may be null.

### getType

    AssociationType getType()

  Indicate the AssociationType, if we have a descriptor it will be in agreement.

  This information indicates the nature of the relationship captured by this assocation.

  At a minimum the following categories should be thought about:

  - aggregation (ie member of shared)
  - temporal (before after )
  - spatial (contained, touches).

  Specified by:
    `getType` in interface `Property`
  Returns:
    AssociationType of allowable content

### getRelatedType

    AttributeType getRelatedType()

  Indicates the AttributeType we are associated with.

  Note the target attribute type is likely maintained in another part of the forest, often it will be fetched via either a query or optimally by ID lookup behind the scenes.

  Returns:
    type of attribute we are related to.

### getRelated

    Attribute getRelated()

  An associated Attribute.

  This will be of the type indicated by the getAssociateType.

  Returns:
    associated attribute

### setRelated

    void setRelated(Attribute attribute)

  Set the association to the provided Attribute

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.